Loading...
Searching...
No Matches
gx_child_process::Meterbridge Class Reference

`#include <gx_child_process.h>`

Inheritance diagram for gx_child_process::Meterbridge:

## Static Public Member Functions

static void | start_stop (Glib::RefPtr< ToggleAction > &action, gx_jack::GxJack &jack)
static void | stop ()

## Private Member Functions

void | terminated (bool pgm_found)
| Meterbridge (GxChild *p, Glib::RefPtr< ToggleAction > &a)

## Private Attributes

Glib::RefPtr< ToggleAction > | action

## Detailed Description

Definition at line 96 of file gx_child_process.h.

## Constructor & Destructor Documentation

## Meterbridge()

gx_child_process::Meterbridge::Meterbridge | ( | GxChild * | p,
|  | Glib::RefPtr< ToggleAction > & | a )

private

## Member Function Documentation

## start_stop()

void gx_child_process::Meterbridge::start_stop | ( | Glib::RefPtr< ToggleAction > & | action,
|  | gx_jack::GxJack & | jack )

static

## stop()

void gx_child_process::Meterbridge::stop | ( |  | ) |

static

## terminated()

void gx_child_process::Meterbridge::terminated | ( | bool | pgm_found | ) |

private

## Member Data Documentation

## action

Glib::RefPtr<ToggleAction> gx_child_process::Meterbridge::action

private

Definition at line 98 of file gx_child_process.h.

Referenced by start_stop().

The documentation for this class was generated from the following file:

- src/headers/gx_child_process.h